<!-- save this file and open it in your browser -->
<html>
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <script src="https://mro-dev.web.cern.ch/distfiles/js/ssvg-engine-1.0.js"></script>
  <script>
    let engine;
    /**
      @brief loading function
      @details creates an ssvg engine wrapping svg document, will load the engine
      on all `state` tag found.
      returned object implements updatesState/getState/setState methods
     */
    function init() {
      if (!engine) {
        engine = new window.ssvg.SSVGEngine(document.getElementById('svg'));
        /* sync input with ssvg (browser may not reset input initial state on refresh) */
        const input = document.getElementById('input');
        engine.updateState({ range: input.value });
      }
    }
    /**
     * @brief destroy loaded engine
     */
    function dispose() {
      if (engine) {
        engine.disconnect();
        engine = null;
      }
    }
    /**
     * @brief update engine state
     */
    function update(value) {
      if (engine) {
        engine.updateState(value);
      }
    }
  </script>
</head>
<body onload='init()'>
  <!-- input to control the SSVG state -->
  <input id='input' type="range" value="0" min='0' max='3' oninput="update({ range: event.target.value })" />
  <!-- plain SSVG document -->
  <svg id='svg' class="ssvg-logo" viewbox="0 0 300 494" width="100%" height="60vh" preserveAspectRatio="xMidYMid meet" xmlns="http://www.w3.org/2000/svg">
    <state>
      <transition duration="750ms" timing-function="ease-in-out"></transition>
      <property initial="0" max="3" min="0" name="range" type="number">
        <transform query-selector=".ssvg-shield" attribute-type="CSS" values="scale(1);scale(.8) rotateX(60deg) rotateZ(-45deg);scale(.8) rotateX(60deg) rotateZ(-10deg) translateZ(60px); scale(1)"></transform>
        <transform query-selector=".ssvg-shield-part" attribute-type="CSS" values="scale(1);scale(.8) rotateX(60deg) rotateZ(-45deg);scale(.8) rotateX(60deg) rotateZ(-10deg) translateZ(100px); scale(1)"></transform>
        <transform query-selector=".ssvg-star" attribute-type="CSS" values="scale(1);scale(.8) rotateX(60deg) rotateZ(-45deg);scale(.8) rotateX(60deg) rotateZ(-10deg) translateZ(-20px) translateY(-340px); scale(1)"></transform>
      </property>
    </state>
    <style type="text/css">
      .ssvg-logo {
          overflow: hidden;
      }

      .ssvg-logo .ssvg-shield,
      .ssvg-logo .ssvg-shield-part,
      .ssvg-logo .ssvg-title-1,
      .ssvg-logo .ssvg-title-2,
      .ssvg-logo .ssvg-star {
          transform-origin: 50% 50%;
      }
    </style>
    <g class="ssvg-star">
      <g fill="#ffb13b" stroke="#ffb13b" stroke-width="38">
        <path d="M61 137c-9-9-24-9-34 0-9 10-9 25 0 35 10 9 25 9 34 0h179c9 9 24 9 33 0 9-10 9-25 0-35-9-9-24-9-33 0z"></path>
        <path d="M99 78c0-13-11-24-24-24S51 65 51 78s11 24 24 24l126 129c0 14 11 25 24 25s24-11 24-25c0-13-11-24-24-24z"></path>
        <path d="M167 63c9-9 9-25 0-34-9-10-24-10-34 0-9 9-9 25 0 34v183c-9 9-9 25 0 34 10 10 25 10 34 0 9-9 9-25 0-34z"></path>
        <path d="M225 102c13 0 24-11 24-24s-11-24-24-24-24 11-24 24L75 207c-13 0-24 11-24 24 0 14 11 25 24 25s24-11 24-25z"></path>
      </g>
      <g fill="#fff">
        <path d="M61 137c-9-9-24-9-34 0-9 10-9 25 0 34 10 10 25 10 34 0h178c9 10 24 10 33 0 10-9 10-24 0-34-9-9-24-9-33 0z"></path>
        <path d="M99 78c0-14-11-24-24-24S51 64 51 78c0 13 11 24 24 24l126 129c0 13 11 24 24 24s23-11 23-24c0-14-10-25-23-25z"></path>
        <path d="M167 63c9-9 9-25 0-34-10-10-25-10-34 0-9 9-9 25 0 34v182c-9 10-9 25 0 34 9 10 24 10 34 0 9-9 9-24 0-34z"></path>
        <path d="M225 102c13 0 23-11 23-24 0-14-10-24-23-24s-24 10-24 24L75 206c-13 0-24 11-24 25 0 13 11 24 24 24s24-11 24-24z"></path>
      </g>
    </g>
    <g class="ssvg-title" fill="#fff">
      <g class="ssvg-shield">
        <path fill="#ffb13b" d="M300 154l-27 306-123 34-123-34L0 154z"></path>
        <path d="M42 315c-4-12-7-28-7-46 0-37 12-66 26-66 15 0 27 29 27 66H73c0-16-5-28-12-28-6 0-11 12-11 28 0 7 2 14 4 19s3 6 7 8c8 2 15 7 19 19 5 12 8 28 8 47 0 36-12 65-27 65-14 0-26-29-26-65h15c0 15 5 27 11 27 7 0 12-12 12-27 0-8-2-15-4-20s-5-6-8-8c-7-2-14-7-19-19z"></path>
        <path d="M99 315c-4-12-7-28-7-46 0-37 12-66 26-66 15 0 27 29 27 66h-15c0-16-5-28-12-28-6 0-11 12-11 28 0 7 2 14 4 19s3 6 7 8c8 2 15 7 20 19 4 12 7 28 7 47 0 36-12 65-27 65-14 0-26-29-26-65h15c0 15 5 27 11 27 7 0 12-12 12-27 0-8-2-15-4-20s-5-6-8-8c-7-2-14-7-19-19z"></path>
      </g>
      <g class="ssvg-shield-part">
        <path fill="#ffd7a0" d="M249 440l24-261H150v289z"></path>
        <path d="M199 203l-19 224h-16l-19-224h16l11 131 11-131h16z"></path>
        <path d="M226 296h27v66c0 36-12 65-27 65s-27-29-27-65v-93c0-37 12-66 27-66s27 29 27 66h-16c0-16-5-28-11-28s-11 12-11 28v93c0 15 5 27 11 27s11-12 11-27v-28h-11v-38z"></path>
      </g>
    </g>
  </svg>
</body>
</html>